include: package:very_good_analysis/analysis_options.yaml

analyzer:
  errors:
    strict_raw_type: warning
    argument_type_not_assignable: warning
    invalid_assignment: warning
    return_of_invalid_type: warning
    return_of_invalid_type_from_closure: warning
    list_element_type_not_assignable: warning
    for_in_of_invalid_type: warning
    cast_nullable_to_non_nullable: warning
    non_bool_condition: warning
    field_initializer_not_assignable: warning
    non_bool_negation_expression: warning
    non_bool_operand: warning

linter:
  rules:
    prefer_single_quotes: true
    avoid_print: false
    public_member_api_docs: false
    sort_pub_dependencies: false
    one_member_abstracts: false
    prefer_int_literals: false
    sort_constructors_first: false
    avoid_redundant_argument_values: false
    always_put_required_named_parameters_first: false
    unnecessary_breaks: false
    avoid_catches_without_on_clauses: false
    cascade_invocations: false
    overridden_fields: false
